### Method

# Gtk FileChooserget_filter

deprecated: 4.10

#### Declaration [src]

    GtkFileFilter*
    gtk_file_chooser_get_filter (
      GtkFileChooser* chooser
    )

#### Description [src]

Gets the current filter.

Deprecated since: 4.10

Use `GtkFileDialog` instead.

Gets property | `Gtk.FileChooser:filter`

#### Return value

Type: `GtkFileFilter`

The current filter.

The data is owned by the instance.
The return value can be `NULL`.